
import { useRequest } from '@/use/useHttp'

/**
 * 获取行政地区列表
 */
export const GetAddressListApi = () => {
  return useRequest({
    url: '/v2/mp/district/list',
    method: 'get',
  })
}

// 获取客户地址
export const MpPurchaserAddressList = () => {
  return useRequest({
    url: '/v2/mp/purchaser/address/list',
    method: 'get',
  })
}
// 新增客户地址
export const MpPurchaserAddress = () => {
  return useRequest({
    url: '/v2/mp/purchaser/address',
    method: 'post',
  })
}
// 获取编辑地址信息
export const MpPurchaserAddressGet = () => {
  return useRequest({
    url: '/v2/mp/purchaser/address',
    method: 'get',
  })
}
// 编辑收货地址信息
export const MpPurchaserAddressPut = () => {
  return useRequest({
    url: '/v2/mp/purchaser/address',
    method: 'put',
  })
}
// 删除收货地址信息
export const MpPurchaserAddressDelete = () => {
  return useRequest({
    url: '/v2/mp/purchaser/address',
    method: 'delete',
  })
}
